Cyberduck Mountain Duck CLI

#10994 closed defect (worksforme)

Pre-signed AWS S3 URLs are malformed

Reported by: gkertai Owned by:
Priority: normal Milestone:
Component: s3 Version: 7.2.5
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.14

Description

In the Copy URL menu for files stored in AWS S3, the Pre-signed URL values contain the bucket name twice in the subdomain field. E.g. if your bucket is called mybucket, the URL becomes https://mybucket.mybucket.s3.amazonaws.com/…, causing SSL certificate errors when opened. Manually deleting the redundant subdomain invalidates the signature, so there's no workaround.

Also, HTTPS URL is displayed twice in the menu. The first instance looks good, but the second instance has an additional path component with the bucket name, e.g. https://mybucket.s3.amazonaws.com/mybucket/… thus pointing to an invalid path.

Attachments (1)

cyberduck_s3_urls.png (224.7 KB) - added by gkertai on Mar 17, 2020 at 4:26:48 PM.

Download all attachments as: .zip

Change History (3)

Changed on Mar 17, 2020 at 4:26:48 PM by gkertai

comment:1 Changed on Apr 16, 2020 at 1:52:41 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Can you double check you do not have the bucket name included in Server in the bookmark configuration. It should be set to s3.amazonaws.com.

comment:2 Changed on Jun 2, 2020 at 6:14:49 AM by gkertai

True. That fixed it, thank you!

I was misled by how the AWS console generates URLs with the bucket name included as a subdomain.

Note: See TracTickets for help on using tickets.
swiss made software